Skip to main content
GET
/
api
/
v1
/
workflow
/
fetch
/
{workflow_id}
Get Workflow
curl --request GET \
  --url https://app.asisso.com/api/v1/workflow/fetch/{workflow_id}
import requests

url = "https://app.asisso.com/api/v1/workflow/fetch/{workflow_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://app.asisso.com/api/v1/workflow/fetch/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "workflow_definition": {},
  "current_definition_id": 123,
  "template_context_variables": {},
  "call_disposition_codes": {
    "disposition_codes": []
  },
  "total_runs": 123,
  "workflow_configurations": {},
  "version_number": 123,
  "version_status": "<string>",
  "workflow_uuid": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
Returns the full agent including workflow_definition (nodes and edges), template_context_variables, workflow_configurations, and run statistics.

Headers

authorization
string | null
X-API-Key
string | null

Path Parameters

workflow_id
integer
required

Response

Successful Response

id
integer
required
name
string
required
status
string
required
created_at
string<date-time>
required
workflow_definition
Workflow Definition · object
required
current_definition_id
integer | null
required
template_context_variables
Template Context Variables · object | null
call_disposition_codes
CallDispositionCodes · object | null
total_runs
integer | null
workflow_configurations
Workflow Configurations · object | null
version_number
integer | null
version_status
string | null
workflow_uuid
string | null